Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JMSServerRuntimeMBean

public interface JMSServerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback

This class is used for monitoring a WebLogic JMS server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getBytesCurrentCount()` Returns the current number of bytes stored on this JMS server.
`long` | `getBytesHighCount()` Returns the peak number of bytes stored in the JMS server since the last reset.
`long` | `getBytesPendingCount()` Returns the current number of bytes pending (unacknowledged or uncommitted) stored on this JMS server.
`long` | `getBytesReceivedCount()` Returns the number of bytes received on this JMS server since the last reset.
`long` | `getBytesThresholdTime()` Returns the amount of time in the threshold condition since the last reset.
`JMSDestinationRuntimeMBean[]` | `getDestinations()` Returns an array of destinations on this JMS server.
`long` | `getDestinationsCurrentCount()` Returns the current number of destinations for this JMS server.
`long` | `getDestinationsHighCount()` Returns the peak number of destinations on this JMS server since the last reset.
`long` | `getDestinationsTotalCount()` Returns the number of destinations instantiated on this JMS server since the last reset.
`long` | `getMessagesCurrentCount()` Returns the current number of messages stored on this JMS server.
`long` | `getMessagesHighCount()` Returns the peak number of messages stored in the JMS server since the last reset.
`long` | `getMessagesPendingCount()` Returns the current number of messages pending (unacknowledged or uncommitted) stored on this JMS server.
`long` | `getMessagesReceivedCount()` Returns the number of messages received on this destination since the last reset.
`long` | `getMessagesThresholdTime()` Returns the amount of time in the threshold condition since the last reset.
`JMSSessionPoolRuntimeMBean[]` | `getSessionPoolRuntimes()` Returns the session pools running on this JMS server.
`long` | `getSessionPoolsCurrentCount()` Returns the current number of session pools instantiated on this JMS server.
`long` | `getSessionPoolsHighCount()` Returns the peak number of session pools instantiated on this JMS server since the last reset.
`long` | `getSessionPoolsTotalCount()` Returns the number of session pools instantiated on this JMS server since the last reset.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getSessionPoolRuntimes

    public JMSSessionPoolRuntimeMBean[] getSessionPoolRuntimes()

  Returns the session pools running on this JMS server.

  Returns:
    The sessionPoolRuntimes value

### getSessionPoolsCurrentCount

    public long getSessionPoolsCurrentCount()

  Returns the current number of session pools instantiated on this JMS server.

  Returns:
    The sessionPoolsCurrentCount value

### getSessionPoolsHighCount

    public long getSessionPoolsHighCount()

  Returns the peak number of session pools instantiated on this JMS server since the last reset.

  Returns:
    The sessionPoolsHighCount value

### getSessionPoolsTotalCount

    public long getSessionPoolsTotalCount()

  Returns the number of session pools instantiated on this JMS server since the last reset.

  Returns:
    The sessionPoolsTotalCount value

### getDestinations

    public JMSDestinationRuntimeMBean[] getDestinations()

  Returns an array of destinations on this JMS server.

  Returns:
    The destinations value

### getDestinationsCurrentCount

    public long getDestinationsCurrentCount()

  Returns the current number of destinations for this JMS server.

  Returns:
    The destinationsCurrentCount value

### getDestinationsHighCount

    public long getDestinationsHighCount()

  Returns the peak number of destinations on this JMS server since the last reset.

  Returns:
    The destinationsHighCount value

### getDestinationsTotalCount

    public long getDestinationsTotalCount()

  Returns the number of destinations instantiated on this JMS server since the last reset.

  Returns:
    The destinationsTotalCount value

### getMessagesCurrentCount

    public long getMessagesCurrentCount()

  Returns the current number of messages stored on this JMS server. This does not include the pending messages.

  Returns:
    The messagesCurrentCount value

### getMessagesPendingCount

    public long getMessagesPendingCount()

  Returns the current number of messages pending (unacknowledged or uncommitted) stored on this JMS server. Pending messages are over and above the current number of messages.

  Returns:
    The messagesPendingCount value

### getMessagesHighCount

    public long getMessagesHighCount()

  Returns the peak number of messages stored in the JMS server since the last reset.

  Returns:
    The messagesHighCount value

### getMessagesReceivedCount

    public long getMessagesReceivedCount()

  Returns the number of messages received on this destination since the last reset.

  Returns:
    The messagesReceivedCount value

### getMessagesThresholdTime

    public long getMessagesThresholdTime()

  Returns the amount of time in the threshold condition since the last reset.

  Returns:
    The messagesThresholdTime value

### getBytesCurrentCount

    public long getBytesCurrentCount()

  Returns the current number of bytes stored on this JMS server. This does not include the pending bytes.

  Returns:
    The bytesCurrentCount value

### getBytesPendingCount

    public long getBytesPendingCount()

  Returns the current number of bytes pending (unacknowledged or uncommitted) stored on this JMS server. Pending bytes are over and above the current number of bytes.

  Returns:
    The bytesPendingCount value

### getBytesHighCount

    public long getBytesHighCount()

  Returns the peak number of bytes stored in the JMS server since the last reset.

  Returns:
    The bytesHighCount value

### getBytesReceivedCount

    public long getBytesReceivedCount()

  Returns the number of bytes received on this JMS server since the last reset.

  Returns:
    The bytesReceivedCount value

### getBytesThresholdTime

    public long getBytesThresholdTime()

  Returns the amount of time in the threshold condition since the last reset.

  Returns:
    The bytesThresholdTime value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD